com.sun.jna.platform.win32

## Class WTypes.VARTYPEByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.ptr.ByReference
    - - com.sun.jna.platform.win32.WTypes.VARTYPEByReference

- All Implemented Interfaces:
    NativeMapped
  Enclosing interface:
    WTypes

      public static class WTypes.VARTYPEByReference
      extends ByReference

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VARTYPEByReference()`
    `VARTYPEByReference(short type)`
    `VARTYPEByReference(WTypes.VARTYPE type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WTypes.VARTYPE` | `getValue()`
    `void` | `setValue(WTypes.VARTYPE value)`

    - ### Methods inherited from class com.sun.jna.ptr.ByReference

      `toString`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VARTYPEByReference

          public VARTYPEByReference()

    - #### VARTYPEByReference

          public VARTYPEByReference(WTypes.VARTYPE type)

    - #### VARTYPEByReference

          public VARTYPEByReference(short type)

  - ### Method Detail

    - #### setValue

          public void setValue(WTypes.VARTYPE value)

    - #### getValue

          public WTypes.VARTYPE getValue()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.